Redmine - Defect #792

Bad URLs for static pages when Redmine is not installed at the server's root
2008-03-05 17:17 - Martin Kirchgessner

Status: Closed Start date: 2008-03-05
Priority: Low Due date:

Assignee: % Done: 0%
Category: Wiki Estimated time: 0.00 hour
Target version: 0.7

Resolution: Affected version:

Description

My Redmine installation runs fine on https://mydomain.com/redmine/. Redmine is running on a Mongrel cluster, behind Apache.

There is a "Help" link at the top right of the wiki edition page:

<%= link_to 1 (:label_help), '/help/wiki_syntax.html',

:onclick => "window.open ('#{ url_for '/help/wiki_syntax.html' }', '',
'resizable=yes, location=no, width=300, height=640, menubar=no, status=no, scrollbars=yes'); retur
n false;" %>

So when | click on "Help" my browser goes to https://mydomain.com/help/wiki_syntax.html, which of course gives a 404 error.

Note that https://mydomain.com/redmine/help/wiki_syntaxt.html works but all contained images also have erroneous URLs.

History

#1 - 2008-03-05 20:45 - Jean-Philippe Lang

- Status changed from New to Resolved

This problem is fixed in the latest code.

#2 - 2008-03-30 00:01 - Jean-Philippe Lang
- Status changed from Resolved to Closed

- Target version set to 0.7

2025-08-23 1/1



https://mydomain.com/redmine/
https://mydomain.com/help/wiki_syntax.html
https://mydomain.com/redmine/help/wiki_syntaxt.html
http://www.tcpdf.org

